﻿@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser> UserManager

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Glogy</title>
    <!-- Bootstrap core CSS-->
    <link href="~/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <!-- Custom fonts for this template-->
    <link href="~/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <!-- Page level plugin CSS-->
    <link href="~/vendor/datatables/dataTables.bootstrap4.css" rel="stylesheet">
    <!-- Custom styles for this template-->
    <link href="~/css/sb-admin.css" rel="stylesheet">
</head>

<body id="page-top">
    <nav class="navbar navbar-expand navbar-dark bg-dark static-top">
        <a class="navbar-brand mr-1" asp-controller="Home" asp-action="Index">VetMedicApp</a>
        <button class="btn btn-link btn-sm text-white order-1 order-sm-0" id="sidebarToggle" href="#">
            <i class="fas fa-bars"></i>
        </button>

        <!-- Navbar Search -->
        <form class="d-none d-md-inline-block form-inline ml-auto mr-0 mr-md-3 my-2 my-md-0">
            <div class="input-group">
                <input type="text" class="form-control" placeholder="Pretraži..." aria-label="Search" aria-describedby="basic-addon2">
                <div class="input-group-append">
                    <button class="btn btn-primary" type="button">
                        <i class="fas fa-search"></i>
                    </button>
                </div>
            </div>
        </form>
        <!-- Navbar -->
        <ul class="navbar-nav ml-auto ml-md-0">
            <li class="nav-item dropdown no-arrow mx-1">
                <a class="nav-link dropdown-toggle" href="#" id="alertsDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-bell fa-fw"></i>
                    <span class="badge badge-danger">9+</span>
                </a>
                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="alertsDropdown">
                    <a class="dropdown-item" href="#">Action</a>
                    <a class="dropdown-item" href="#">Another action</a>
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" href="#">Something else here</a>
                </div>
            </li>
            <li class="nav-item dropdown no-arrow mx-1">
                <a class="nav-link dropdown-toggle" href="#" id="messagesDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-envelope fa-fw"></i>
                    <span class="badge badge-danger">7</span>
                </a>
                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="messagesDropdown">
                    <a class="dropdown-item" href="#">Action</a>
                    <a class="dropdown-item" href="#">Another action</a>
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" href="#">Something else here</a>
                </div>
            </li>
            <li class="nav-item dropdown no-arrow">
                <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-user-circle fa-fw"></i>
                </a>
                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">

                    @if (SignInManager.IsSignedIn(User))
                    {
                        @if (User.IsInRole("admin"))
                        {
                            <a asp-controller="Home" asp-action="ToDo" class="dropdown-item">Podešavanja</a>
                            <a asp-controller="Home" asp-action="ToDo" class="dropdown-item">Aktivnosti</a>
                        }
                        else
                        {
                            <a asp-controller="Home" asp-action="ToDo" class="dropdown-item">Podešavanja</a>
                            <a asp-controller="Home" asp-action="ToDo" class="dropdown-item">Aktivnosti</a>
                        }
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" data-toggle="modal" data-target="#logoutModal"><i class="fa fa-sign-out-alt" aria-hidden="true"></i> Odjavi se</a>
                    }
                    else
                    {
                        <a asp-controller="Home" asp-action="NotSignedIn" class="dropdown-item">Podešavanja</a>
                        <a asp-controller="Home" asp-action="NotSignedIn" class="dropdown-item">Aktivnosti</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" asp-controller="Account" asp-action="Login"><i class="fa fa-sign-in-alt" aria-hidden="true"></i> Prijavi se</a>
                    }
                </div>
            </li>
        </ul>
    </nav>
    <div id="wrapper">
        <!-- Sidebar -->
        <ul class="sidebar navbar-nav">
            <li class="nav-item active">
                <a asp-controller="Home" asp-action="Index" class="nav-link">
                    <i class="fas fa-fw fa-tachometer-alt"></i>
                    <span>Početna</span>
                </a>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="pagesDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fa fa-cog fa-fw" aria-hidden="true"></i>
                    <span>Administracija</span>
                </a>
                <div class="dropdown-menu" aria-labelledby="pagesDropdown">
                    <h6 class="dropdown-header"><i class="fa fa-table fa-fw" aria-hidden="true"></i> Pregled:</h6>
                    @if (User.IsInRole("admin"))
                    {
                        <a asp-controller="PetOwner" asp-action="Overview" class="dropdown-item"><i class="fa fa-user fa-fw" aria-hidden="true"></i> Klijenti</a>
                        <a asp-controller="Pet" asp-action="Overview" class="dropdown-item"><i class="fa fa-paw fa-fw" aria-hidden="true"></i> Ljubimci</a>
                        <a asp-controller="Service" asp-action="Overview" class="dropdown-item"><i class="fa fa-wrench fa-fw" aria-hidden="true"></i> Usluge</a>
                    }
                    else
                    {
                        <a asp-controller="Home" asp-action="UnauthorizedAccess" class="dropdown-item"><i class="fa fa-user fa-fw" aria-hidden="true"></i> Klijenti</a>
                        <a asp-controller="Home" asp-action="UnauthorizedAccess" class="dropdown-item"><i class="fa fa-paw fa-fw" aria-hidden="true"></i> Ljubimci</a>
                        <a asp-controller="Home" asp-action="UnauthorizedAccess" class="dropdown-item"><i class="fa fa-wrench fa-fw" aria-hidden="true"></i> Usluge</a>
                    }
                    <div class="dropdown-divider"></div>
                    <h6 class="dropdown-header"><i class="fa fa-plus fa-fw" aria-hidden="true"></i> Unos podataka:</h6>
                    @if (User.IsInRole("admin"))
                    {
                        <a asp-controller="PetOwner" asp-action="Insert" class="dropdown-item"><i class="fa fa-user-plus fa-sm" aria-hidden="true"></i> Dodaj klijenta</a>
                        <a asp-controller="Service" asp-action="Insert" class="dropdown-item"><i class="fa fa-wrench fa-fw" aria-hidden="true"></i> Dodaj uslugu</a>
                    }
                    else
                    {
                        <a asp-controller="Home" asp-action="UnauthorizedAccess" class="dropdown-item"><i class="fa fa-user-plus fa-sm" aria-hidden="true"></i> Dodaj klijenta</a>
                        <a asp-controller="Home" asp-action="UnauthorizedAccess" class="dropdown-item"><i class="fa fa-wrench fa-fw" aria-hidden="true"></i> Dodaj uslugu</a>
                    }

                </div>
            </li>
            <li class="nav-item">
                @if (User.IsInRole("admin"))
                {
                    <a asp-controller="Event" asp-action="Planner" class="nav-link">
                        <i class="fa fa-fw fa-calendar-alt"></i>
                        <span>Planer</span>
                    </a>
                }
                else
                {
                    <a asp-controller="Home" asp-action="UnauthorizedAccess" class="nav-link">
                        <i class="fa fa-fw fa-calendar-alt"></i>
                        <span>Planer</span>
                    </a>
                }
            </li>
            <li class="nav-item">
                @if (User.IsInRole("admin"))
                {
                    <a asp-controller="Home" asp-action="Analysis" class="nav-link">
                        <i class="fas fa-fw fa-chart-area"></i>
                        <span>Analiza</span>
                    </a>
                }
                else
                {
                    <a asp-controller="Home" asp-action="UnauthorizedAccess" class="nav-link">
                        <i class="fas fa-fw fa-chart-area"></i>
                        <span>Analiza</span>
                    </a>
                }
            </li>
        </ul>
        <div id="content-wrapper">
            <div class="container-fluid">
                @RenderBody()
            </div>
            <!-- /.container-fluid -->
            <!-- Sticky Footer -->
            <footer class="sticky-footer">
                <div class="container my-auto">
                    <div class="copyright text-center my-auto">
                        <span>Copyright © Your Website 2018</span>
                    </div>
                </div>
            </footer>
        </div>
        <!-- /.content-wrapper -->
    </div>
    <!-- /#wrapper -->
    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="fas fa-angle-up"></i>
    </a>
    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Da li ste sigurni?</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">Kliknite "Odjavi se" ukoliko želite da se odjavite.</div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" type="button" data-dismiss="modal">Ne</button>
                    <a class="btn btn-dark" asp-controller="Account" asp-action="Logout">Odjavi se</a>
                </div>
            </div>
        </div>
    </div>
    <partial name="_CookieConsentPartial" />


    @RenderSection("Scripts", required: false)

    <!-- Bootstrap core JavaScript-->
    <script src="~/vendor/jquery/jquery.min.js"></script>
    <script src="~/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- Core plugin JavaScript-->
    <script src="~/vendor/jquery-easing/jquery.easing.min.js"></script>
    <!-- Page level plugin JavaScript-->
    <script src="~/vendor/chart.js/Chart.min.js"></script>
    <script src="~/vendor/datatables/jquery.dataTables.js"></script>
    <script src="~/vendor/datatables/dataTables.bootstrap4.js"></script>
    <!-- Custom scripts for all pages-->
    <script src="~/js/sb-admin.min.js"></script>
    <!-- Demo scripts for this page-->
    <script src="~/js/demo/datatables-demo.js"></script>
    <script src="~/js/demo/chart-area-demo.js"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
</body>
</html>